Subject: [PATCH v4 2/8] arm64: dts: exynos: Add dts files for 64-bit Exynos5433 SoC

From: [email-masked] (Chanwoo Choi)
Date: Tue, 24 Feb 2015 21:15:41 +0900

On 02/24/2015 06:50 PM, Arnd Bergmann wrote:
> On Tuesday 24 February 2015 18:01:27 Chanwoo Choi wrote:
>> On 02/24/2015 05:33 PM, Arnd Bergmann wrote:
>>> On Tuesday 24 February 2015 14:16:45 Chanwoo Choi wrote:
>>>> This patch adds new Exynos5433 dtsi to support 64-bit Exynos5433 SoC based on
>>>> Octal core CPUs (quad Cortex-A57 and quad Cortex-A53). And Exynos5433 supports
>>>> PSCI (Power State Coordination Interface) v0.1.
>>>>
>>>> This patch includes following dt node to support Exynos5433 SoC:
>>>> 1. Octa core for big.LITTLE architecture
>>>> - Cortex-A53 LITTLE Quad-core
>>>> - Cortex-A57 big Quad-core
>>>> - Support PSCI v0.1
>>>
>>> Should we try to come up with a way to better share parts of this with the
>>> exynos5 dtsi files you already have in arm32? I suspect that there is a
>>> significant overlap.
>>
>> Currently, 32-bit Exynos5 SoC (which is included in arch/arm/boot/dts)
>> didn't support the Cortex-A53/A57 and PSCI.
>>
>> The 32-bit Exynos5 SoC support the Coretex-A7 or A15 and big.LITTLE Exynos5 SoC
>> use the MCPM (Multi-Cluster PM) driver for secondary cpu on/off instead of PSCI.
>>
> 
> Yes, I understand that. What I meant is sharing the nodes that are identical
> between e.g. all exynos54xx by using a common .dtsi file that can be included
> by 5420, 5433 and 5440.

Exynos5433 use the quite different base address of each IP from Exynos5250/5420/5800.
Exynos5433 SoC cannot use the devicetree node in Exynos5 dtsi (arch/arm/boot/dts/exynos5.dtsi).

Thanks,
Chanwoo Choi